	@echo off

	rem **************************************************
	rem  demob.bat  beep forever until key hit
	rem  ctrl-x gives errorlevel 255
	rem  any other key gives errorlevel 0 
	rem **************************************************

	cls

	rem **************************************************
	rem how to use ctl-c to abort a batch program
	rem **************************************************


        echo call dpgnbelb from batch program
        echo dpgnbelb will -- beep until a key is hit
        echo               -- return errorlevel 255 if ctrl-x hit
        echo               -- return errorlevel 0 of any other key hit
        echo.
        echo.

	echo **************************************************
	echo                     continue?    
	echo  no = ctrl-x = abort program   yes = any other key
	echo **************************************************

	rem **************************************************
	rem beep forever until any key hit
	rem **************************************************

	call dpgnbelb

	rem **************************************************
	rem errorlevel 255 means ctrl-x hit
	rem **************************************************

	if not errorlevel 255 goto noctrlx

	rem **************************************************
	rem ctrl-x hit
	rem **************************************************

	echo ctrl-x **WAS** hit
	goto endit

	:noctrlx

	rem **************************************************
	rem ctrl-x **NOT** hit
	rem **************************************************

	echo ctrl-x was **NOT** hit

	:endit

